shishi_keys_to_keytab_file(3)

NAME
shishi_keys_to_keytab_file - API function

SYNOPSIS
#include <shishi.h>

int shishi_keys_to_keytab_file(Shishi * handle, Shishi_keys * keys, const char * filename);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_keys * keys
    keyset to write.

const char * filename
    name of file to write.

DESCRIPTION
Write keys to a MIT keytab data structure.

The format of keytab's is proprietary, and this function writes the 0x0502 format. See the section The MIT Kerberos Keytab Binary File Format in the Shishi manual for a description of the reverse-engineered format.

RETURNS
SHISHI_FOPEN_ERROR if there is a problem opening filename for writing, SHISHI_IO_ERROR if there is problem writing the file, and SHISHI_OK on success.

SINCE
0.0.42

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.